<mat-list>
    <mat-list-item *ngFor="let hero of heroes | async">
        <img matListAvatar attr.src="{{hero.avatar}}" alt="avatar">
        <h3 class="text-color" matLine><b>{{hero.name}}</b></h3>
        <p class="text-color" matLine>
            <span class="text-color">{{hero.category}} from {{hero.city}}</span>
        </p>
        <button (click)="OpenProfile(hero)" mat-icon-button aria-label="view profile hero || villain"
            class="icon-hero-villain">
            <mat-icon>portrait</mat-icon>
        </button>
        <button mat-icon-button aria-label="update hero || villain" color="primary">
            <mat-icon>create</mat-icon>
        </button>
        <button mat-icon-button aria-label="delete hero || villain" color="warn">
            <mat-icon>delete_forever</mat-icon>
        </button>
    </mat-list-item>
</mat-list>